---
title: "IndieAuth using GPG/PGP"
author: ""
date: 2021-05-14T11:38:53+02:00
categories:
tags:

draft: false
description: "I rediscovered IndieAuth and wanted to try it finally."
---

I rediscovered [IndieAuth](https://indieweb.org/IndieAuth) and wanted to try it finally.

As authentication method, I decided to use [my public GPG key](/gpg) because it's public anyway and something interesting and new to me (I actually never signed anything on the console before).

It took a little trial and error before I found the following solution for signing the key:

`gpg --clearsign --default-key name@example.tld gpgmessage.txt`

It's not perfect; it requires putting the message that needs to be signed in a file and the result gets written in a new file with the extension `.asc`. It would be much nicer if it allowed doing both directly on the console.
